Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
ezpRestCacheStorageApcCluster Class Reference
Inheritance diagram for ezpRestCacheStorageApcCluster:

## Public Member Functions
| __construct ( $location=null, array $options=array())
| restore ( $id, $attributes=array(), $search=false)
| store ( $id, $data, $attributes=array())
| delete ( $id=null, $attributes=array(), $search=false)

## Public Attributes
| $forceStoreRegistry = false

## Protected Member Functions
| getExpiryTime ( $id)
| storeSearchRegistry ()

## Protected Attributes
| $expiryHandler

## Detailed Description

Definition at line 11 of file apc.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpRestCacheStorageApcCluster::__construct | ( |  | $location = `null`,
|  | array | $options = `array()`
| ) |  |

Definition at line 25 of file apc.php.

References $location, and $options.

## Member Function Documentation

## ◆ delete()

ezpRestCacheStorageApcCluster::delete | ( |  | $id = `null`,
|  |  | $attributes = `array()`,
|  |  | $search = `false`
| ) |  |

Direct delete instruction. Registry will be stored

See also
  lib/ezc/Cache/src/storage/ezcCacheStorageMemory::delete()

Definition at line 113 of file apc.php.

References $id, and $search.

## ◆ getExpiryTime()

ezpRestCacheStorageApcCluster::getExpiryTime | ( |  | $id | ) |
| protected

Returns cluster expiry timestamp for given $id

Parameters

  $id |

Definition at line 66 of file apc.php.

References $id.

Referenced by restore().

## ◆ restore()

ezpRestCacheStorageApcCluster::restore | ( |  | $id,
|  |  | $attributes = `array()`,
|  |  | $search = `false`
| ) |  |

Override from ezcCacheStorageMemory::restore() to add a cluster cache control, driven by eZExpiryHandler (expiry.php)

See also
  lib/ezc/Cache/src/storage/ezcCacheStorageMemory::restore()

Definition at line 37 of file apc.php.

References $id, $search, and getExpiryTime().

## ◆ store()

ezpRestCacheStorageApcCluster::store | ( |  | $id,
|  |  | $data,
|  |  | $attributes = `array()`
| ) |  |

Direct store instruction. Makes the registry to be stored

See also
  lib/ezc/Cache/src/storage/ezcCacheStorageMemory::store()

Definition at line 97 of file apc.php.

References $id, properties, and ezpRestRouter\ROUTE_CACHE_KEY.

## ◆ storeSearchRegistry()

ezpRestCacheStorageApcCluster::storeSearchRegistry | ( |  | ) |
| protected

Override to avoid unnecessary registry storage and so potential cache slam (from APC 3.1.3p1). To force registry storage, {

See also
  self::forceStoreRegistry} must be set to true
  lib/ezc/Cache/src/storage/ezcCacheStorageMemory::storeSearchRegistry()

Definition at line 79 of file apc.php.

References $location, and properties.

## Member Data Documentation

## ◆ $expiryHandler

ezpRestCacheStorageApcCluster::$expiryHandler
| protected

Definition at line 16 of file apc.php.

## ◆ $forceStoreRegistry

ezpRestCacheStorageApcCluster::$forceStoreRegistry = false

Definition at line 23 of file apc.php.

The documentation for this class was generated from the following file:

- apc.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.